Mailinglist Archive: opensuse-packaging (67 mails)

< Previous Next >
Re: [opensuse-packaging] Which dependencies should I set?
  • From: Lars Vogdt <lrupp@xxxxxxx>
  • Date: Thu, 6 Dec 2007 12:27:32 +0100
  • Message-id: <200712061227.32736.lrupp@xxxxxxx>
On Donnerstag, 6. Dezember 2007 03:48:17 Cristian Rodríguez wrote:
Christian Boltz escribió:
- php-mysql and/or php-pgsql? One of them is always unused, but you
never know which one in advance (from RPM's POV)

Both now provides php_any_db virtual package.

This is one step - but what about the databases themselves?
Currently MySQL provides mysql, PostGreSQL provides postgresql - what
should a package recommend, which runs with both databases?

As these two are the most supported databases in the open source world,
we should perhaps also think about a virtual provides for this two at
least.

Whats the minimal SQL standard both support?
Perhaps we can add a virtual provides like "Provides: SQL2"
or "Provides: SQL-92" - so an application with a generic SQL interface
just have to require a SQL-92 compatible database...

Regards,
Lars
---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-packaging+help@xxxxxxxxxxxx

< Previous Next >